/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005 EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: StateChangedEvent.java,v 1.2 2005/07/22 10:24:27 alouis Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.container.event;

/**
 * <code>LifeCycleStateEventAbstract</code> contains contextual information
 * about a change of an element state.
 * 
 * @author Adrien LOUIS - EBM WebSourcing
 * 
 */
public class StateChangedEvent extends LifeCycleStateEventAbstract {
    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    private String oldState;

    private String newState;

    /**
     * Construct an event to notify a change of state.
     * 
     * @param source
     *            the Object that originated the event
     * @param oldState
     *            the old state of the LifeCycleElement
     * @param newState
     *            the new state of the LifeCycleElement
     */
    public StateChangedEvent(Object source, String oldState, String newState) {
        super(source, STATE_CHANGED);

        this.oldState = oldState;
        this.newState = newState;
    }

    public String getNewState() {
        return newState;
    }

    public String getOldState() {
        return oldState;
    }
}
