/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2008 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package org.objectweb.petals.discovery;

import java.util.Map;

import org.objectweb.petals.PetalsException;
import org.objectweb.petals.communication.network.ContainerInformation.ContainerState;

/**
 * @author rnaudin
 *
 */
public interface DiscoveryMBean {
	
	/**
	 * Notify the local container about the state of a remote container.
	 * 
	 * @param containerName
	 * @param state
	 */
	void notifyContainerState(String containerName, ContainerState state)  throws PetalsException;
	
	/**
     * Get the local view of the domain.
     */
	Map<String, String> getDomainView();
	
	/**
     * Refresh the local view of the domain.
     */
    void refreshDomainView();
}
